/*-
 * Copyright 2003 John-Mark Gurney
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: videosubdev.h,v 1.2 2003/04/21 08:22:47 jmg Exp jmg $
 */

#ifndef _VIDEOSUBDEV_H_
#define _VIDEOSUBDEV_H_ 1

#ifdef _KERNEL 

#include "videosubdev_if.h"

#define VIDEOSUBDEV_MINVER	1
#define VIDEOSUBDEV_PREFVER	1
#define VIDEOSUBDEV_MAXVER	1

typedef int (*vsd_ioctl_t)(device_t dev, u_long cmd, caddr_t data, int fflag,
	struct thread *td);

#if 0
int videosubdev_ioctl_children(device_t dev, u_long cmd, caddr_t data,
	int fflag, struct thread *td);
#endif

#endif /* _KERNEL */

#endif /* _VIDEOSUBDEV_H_ */
